%global modname mkdocs-material-extensions

Name:           python-%{modname}
Version:        1.3.1
Release:        1%{?dist}.1
Summary:        Markdown extension resources for MkDocs Material
License:        MIT
URL:            https://github.com/facelessuser/mkdocs-material-extensions
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Markdown extension resources for MkDocs Material.}

%description %_description

%package -n python3-%{modname}
Summary:        %{summary}

%description -n python3-%{modname} %_description

%prep
%autosetup -p1 -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l materialx

%files -n python3-%{modname} -f %{pyproject_files}
%doc README.md
%license LICENSE.md
%changelog
* Thu Nov 14 2024 Oleg Girko <ol@infoserver.lv> - 1.3.1-1
- Initial package
